Subject: Re: [next] arm64: efi-rt-wrapper.S:8: Error: unknown mnemonic `bti' -- `bti c'

From: Mark Brown <[email-masked]>
Date: Fri, 17 Dec 2021 14:49:30 +0000

On Fri, Dec 17, 2021 at 02:00:24PM +0000, Catalin Marinas wrote:
> On Thu, Dec 16, 2021 at 09:30:44AM +0530, Naresh Kamboju wrote:
> > [ Please ignore this email if it is already reported ]

It's probably not worth reporting -next issues to the -next maintainer
unless they're specifically in the -next merge - I'd not read this
report since it was part of a small batch of reports you'd sent at the
same time which appeared to be being sent to me because I was running
-next rather than them being directed at me.  It can result in things
that need attention getting missed.

> We defined the bti macro in assembler.h but that's not included by
> linkage.h and not all asm files seem to include the former. At a quick
> grep we need the diff below, not sure it's the best solution:

That seems sensible to me, especially given the small number of files
affected.  The other thing would be to decide that all assembly files
should have the header included by default but that seems like it's
invasive and probably disproportionate.